Bug 827155 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'rename' accesses on the file /home/gabriel/.macromedia/Flash_Player/#SharedObjects/4XCE67AA/s.ytimg.com/videostats.sxx.
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'rename' a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:4e906d6c827b5f9c8110b27e46d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 14:53 EDT by luigi
Modified: 2012-06-16 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:01:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description luigi 2012-05-31 14:53:11 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Thu 31 May 2012 08:53:09 PM CEST

description:
:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'rename' accesses on the file /home/gabriel/.macromedia/Flash_Player/#SharedObjects/4XCE67AA/s.ytimg.com/videostats.sxx.
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If you want to fix the label. 
:/home/gabriel/.macromedia/Flash_Player/#SharedObjects/4XCE67AA/s.ytimg.com/videostats.sxx default label should be mozilla_home_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /home/gabriel/.macromedia/Flash_Player/#SharedObjects/4XCE67AA/s.ytimg.com/videostats.sxx
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that plugin-container should be allowed rename access on the videostats.sxx file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_t:s0
:Target Objects                /home/gabriel/.macromedia/Flash_Player/#SharedObje
:                              cts/4XCE67AA/s.ytimg.com/videostats.sxx [ file ]
:Source                        plugin-containe
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           xulrunner-12.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-125.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc17.x86_64 #1 SMP Mon May
:                              21 22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Thu 31 May 2012 08:52:53 PM CEST
:Last Seen                     Thu 31 May 2012 08:52:53 PM CEST
:Local ID                      521a3ddf-f99c-4139-8236-2dab8c792b8c
:
:Raw Audit Messages
:type=AVC msg=audit(1338490373.913:277): avc:  denied  { rename } for  pid=29125 comm="plugin-containe" name="videostats.sxx" dev="dm-0" ino=4590996 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1338490373.913:277): arch=x86_64 syscall=rename success=no exit=EACCES a0=7f607eacdb20 a1=7f607eacd040 a2=7fff329ea070 a3=ffffff00 items=0 ppid=29073 pid=29125 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=plugin-containe exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: plugin-containe,mozilla_plugin_t,user_home_t,file,rename
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-05-31 15:03:49 EDT
Tool tells you what is wrong.

restorecon -R -v /home
Comment 2 Fedora Update System 2012-06-11 16:58:28 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Fedora Update System 2012-06-15 19:56:14 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-16 20:01:05 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.